# Make sure field lengths match those in dashboard/models.py

from django import forms

from dashboard.models import Result

class ResultForm(forms.ModelForm):
    class Meta:
        model = Result
        fields = ['name']

class ImageResultAddForm(forms.Form):
    release = forms.CharField(max_length=200)
    variant = forms.CharField(max_length=200)
    arch = forms.CharField(max_length=200)
    md5 = forms.CharField(max_length=200)
    build_number = forms.CharField(max_length=50)
    machine = forms.CharField(max_length=200)
    ran_at = forms.DateTimeField()
    kernel_init = forms.IntegerField()
    kernel = forms.IntegerField()
    plumbing = forms.IntegerField()
    xorg = forms.IntegerField()
    desktop = forms.IntegerField()

class ResultKernelSRUAddForm(forms.Form):
    build_no = forms.CharField(max_length=200)
    job_type = forms.CharField(max_length=200)
    flavor = forms.CharField(max_length=200)
    release = forms.CharField(max_length=200)
    variant = forms.CharField(max_length=200)
    arch = forms.CharField(max_length=200)
    version = forms.CharField(max_length=200)
    build_name = forms.CharField(max_length=200)
    ran_at = forms.DateTimeField()

    pass_count = forms.IntegerField()
    fail_count = forms.IntegerField()
    skip_count = forms.IntegerField()

class ResultSmokeAddForm(forms.Form):
    # Needed for Run class
    build_no = forms.CharField(max_length=200)
    flavor = forms.CharField(max_length=200)
    test_type = forms.CharField(max_length=200, required=False)
    ran_at = forms.DateTimeField()

    # Needed for Build class
    build_name = forms.CharField(max_length=200)

    # Needed for Result class
    pass_count = forms.IntegerField()
    fail_count = forms.IntegerField()
    skip_count = forms.IntegerField()

class BugForm(forms.Form):
    bug_no = forms.CharField(max_length=25)
    status = forms.CharField(max_length=50)
