from django.core.management.base import BaseCommand

from dashboard.models import (
        Run,
        Build,
        Bug,
        Result,
        ResultLog,
        Kernel,
        SRUResult,
        Image,
        Machine,
        ImageResult,
        )

MAX_DELETE = 100000

class Command(BaseCommand):
    args = "[Class name] [Class name]..."
    help = "List items in the dashboard tables.  Useful for degugging."

    def handle(self, *args, **options):
        klasses = [
                Build,
                Run,
                Bug,
                ResultLog,
                Result,
                Kernel,
                SRUResult,
                Image,
                Machine,
                ImageResult,
                ]

        verbosity = int(options.get('verbosity'))

        klass_list = args

        if verbosity > 1:
            for klass in klasses:
                if klass_list and klass.__name__ not in klass_list:
                    continue

                print(klass.__name__)

        for klass in klasses:
            if klass_list and klass.__name__ not in klass_list:
                continue

            while klass.objects.count() > MAX_DELETE:
                for item in klass.objects.all()[:MAX_DELETE]:
                   item.delete()

            klass.objects.all().delete()
