from django.core.management.base import BaseCommand

import datetime
import random

from dashboard.models import (
        Image,
        ImageResult,
        Machine,
        )

class Command(BaseCommand):
    help = "Create some fake bootspeed results.  Useful for degugging."

    def handle(self, *args, **options):
        releases = ['precise', 'quantal']
        arches = ['amd64', 'i386']
        variants = ['server', 'desktop', 'mini', 'alternate']
        build_numbers = ['20120909', '20120910', '20120911']

        machine, created = Machine.objects.get_or_create(
                name='Dell Optiplex 242',
                mac_address='01:02:03:0a:0b',
                )

        releases = ['quantal']
        arches = ['amd64', 'i386']
        variants = ['server']
        build_numbers = ['2012{:0>2}{:0>2}'.format(y,x) for y in [4,5,6,7,8,9] for x in range(1, 31)]
        build_numbers.append('20120917.1')
        build_numbers.append('20120917.2')

        """
                '20120701',
                '20120914',
                '20120915',
                '20120916',
                '20120917',
                '20120918',
                ]
        """

        for release in releases:
            for arch in arches:
                for variant in variants:
                    for build_number in build_numbers:
                        image, created = Image.objects.get_or_create(
                                    release=release,
                                    variant=variant,
                                    arch=arch,
                                    build_number=build_number,
                                    md5='fake{}{}{}{}'.format(build_number, release, variant, arch),
                                    )

                        now = datetime.datetime.now()
                        for i in range(100):
                            for j in range(10):
                                kernel_init=random.random() * 20
                                kernel=random.random() * 20
                                plumbing=random.random() * 20
                                xorg=random.random() * 20
                                desktop=random.random() * 20

                                boot = kernel_init + kernel + plumbing + xorg + desktop
                                ran_at = now - datetime.timedelta(days=i)

                                imageresult = ImageResult.objects.create(
                                        image=image,
                                        machine=machine,
                                        kernel=kernel,
                                        kernel_init=kernel_init,
                                        plumbing=plumbing,
                                        xorg=xorg,
                                        desktop=desktop,
                                        boot=boot,
                                        ran_at=ran_at,
                                        )
