from django.core.management.base import BaseCommand

from dashboard.models import (
        Run,
        Build,
        Bug,
        Result,
        ResultLog,
        Kernel,
        SRUResult,
        SRUResultLog,
        Image,
        Machine,
        ImageResult,
        )

class Command(BaseCommand):
    args = "[Class name] [Class name]..."
    help = "List items in the dashboard tables.  Useful for degugging."

    def handle(self, *args, **options):
        klasses = [Build, Run, Bug, Result, ResultLog, Kernel, SRUResult, SRUResultLog, Image, Machine, ImageResult]

        verbosity = int(options.get('verbosity'))

        self.stdout.write("args:\n")

        klass_list = args

        for arg in klass_list:
            self.stdout.write("  arg: {}\n".format(arg))

        if verbosity > 1:
            for klass in klasses:
                if klass_list and klass.__name__ not in klass_list:
                    continue

                print(klass.__name__)
                for item in klass.objects.all():
                    if hasattr(item, 'debug_str'):
                        print item.debug_str()
                    else:
                        print item

        for klass in klasses:
            if klass_list and klass.__name__ not in klass_list:
                continue

            print(klass.__name__)
            print("  {}".format(klass.objects.count()))
