# -*- coding: utf-8 -*-
import datetime
from south.db import db
from south.v2 import SchemaMigration
from django.db import models


class Migration(SchemaMigration):

    def forwards(self, orm):
        # Adding model 'Bug'
        db.create_table('bugs', (
            ('id', self.gf('django.db.models.fields.AutoField')(primary_key=True)),
            ('bug_no', self.gf('django.db.models.fields.CharField')(max_length=255)),
            ('status', self.gf('django.db.models.fields.CharField')(max_length=255)),
            ('created_at', self.gf('django.db.models.fields.DateTimeField')(auto_now_add=True, blank=True)),
            ('updated_at', self.gf('django.db.models.fields.DateTimeField')(auto_now=True, blank=True)),
        ))
        db.send_create_signal('dashboard', ['Bug'])

        # Adding model 'ResultLog'
        db.create_table('result_logs', (
            ('id', self.gf('django.db.models.fields.AutoField')(primary_key=True)),
            ('display_name', self.gf('django.db.models.fields.CharField')(max_length=255, null=True)),
            ('path', self.gf('django.db.models.fields.TextField')()),
            ('result', self.gf('django.db.models.fields.related.ForeignKey')(to=orm['dashboard.Result'])),
            ('remote_url', self.gf('django.db.models.fields.URLField')(max_length=200)),
            ('created_at', self.gf('django.db.models.fields.DateTimeField')(auto_now_add=True, blank=True)),
            ('updated_at', self.gf('django.db.models.fields.DateTimeField')(auto_now=True, blank=True)),
        ))
        db.send_create_signal('dashboard', ['ResultLog'])

        # Adding model 'Run'
        db.create_table('runs', (
            ('id', self.gf('django.db.models.fields.AutoField')(primary_key=True)),
            ('build_no', self.gf('django.db.models.fields.CharField')(max_length=200, db_index=True)),
            ('release', self.gf('django.db.models.fields.CharField')(max_length=200, db_index=True)),
            ('flavor', self.gf('django.db.models.fields.CharField')(max_length=200, db_index=True)),
            ('test_type', self.gf('django.db.models.fields.IntegerField')(null=True)),
            ('ran_at', self.gf('django.db.models.fields.DateTimeField')()),
            ('created_at', self.gf('django.db.models.fields.DateTimeField')(auto_now_add=True, blank=True)),
            ('updated_at', self.gf('django.db.models.fields.DateTimeField')(auto_now=True, blank=True)),
        ))
        db.send_create_signal('dashboard', ['Run'])

        # Adding model 'Build'
        db.create_table('builds', (
            ('id', self.gf('django.db.models.fields.AutoField')(primary_key=True)),
            ('run', self.gf('django.db.models.fields.related.ForeignKey')(to=orm['dashboard.Run'])),
            ('name', self.gf('django.db.models.fields.CharField')(max_length=200, null=True)),
            ('flavor', self.gf('django.db.models.fields.CharField')(max_length=200)),
            ('variant', self.gf('django.db.models.fields.CharField')(max_length=200)),
            ('arch', self.gf('django.db.models.fields.CharField')(max_length=200)),
            ('created_at', self.gf('django.db.models.fields.DateTimeField')(auto_now_add=True, blank=True)),
            ('updated_at', self.gf('django.db.models.fields.DateTimeField')(auto_now=True, blank=True)),
        ))
        db.send_create_signal('dashboard', ['Build'])

        # Adding model 'Result'
        db.create_table('results', (
            ('id', self.gf('django.db.models.fields.AutoField')(primary_key=True)),
            ('build', self.gf('django.db.models.fields.related.ForeignKey')(to=orm['dashboard.Build'])),
            ('name', self.gf('django.db.models.fields.CharField')(max_length=255)),
            ('jenkins_build', self.gf('django.db.models.fields.CharField')(max_length=255)),
            ('jenkins_url', self.gf('django.db.models.fields.URLField')(max_length=200)),
            ('fail_count', self.gf('django.db.models.fields.IntegerField')()),
            ('skip_count', self.gf('django.db.models.fields.IntegerField')()),
            ('pass_count', self.gf('django.db.models.fields.IntegerField')()),
            ('total_count', self.gf('django.db.models.fields.IntegerField')()),
            ('ran_at', self.gf('django.db.models.fields.DateTimeField')()),
            ('created_at', self.gf('django.db.models.fields.DateTimeField')(auto_now_add=True, blank=True)),
            ('updated_at', self.gf('django.db.models.fields.DateTimeField')(auto_now=True, blank=True)),
        ))
        db.send_create_signal('dashboard', ['Result'])

        # Adding M2M table for field bugs on 'Result'
        db.create_table('results_bugs', (
            ('id', models.AutoField(verbose_name='ID', primary_key=True, auto_created=True)),
            ('result', models.ForeignKey(orm['dashboard.result'], null=False)),
            ('bug', models.ForeignKey(orm['dashboard.bug'], null=False))
        ))
        db.create_unique('results_bugs', ['result_id', 'bug_id'])


    def backwards(self, orm):
        # Deleting model 'Bug'
        db.delete_table('bugs')

        # Deleting model 'ResultLog'
        db.delete_table('result_logs')

        # Deleting model 'Run'
        db.delete_table('runs')

        # Deleting model 'Build'
        db.delete_table('builds')

        # Deleting model 'Result'
        db.delete_table('results')

        # Removing M2M table for field bugs on 'Result'
        db.delete_table('results_bugs')


    models = {
        'dashboard.bug': {
            'Meta': {'object_name': 'Bug', 'db_table': "'bugs'"},
            'bug_no': ('django.db.models.fields.CharField', [], {'max_length': '255'}),
            'created_at': ('django.db.models.fields.DateTimeField', [], {'auto_now_add': 'True', 'blank': 'True'}),
            'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'status': ('django.db.models.fields.CharField', [], {'max_length': '255'}),
            'updated_at': ('django.db.models.fields.DateTimeField', [], {'auto_now': 'True', 'blank': 'True'})
        },
        'dashboard.build': {
            'Meta': {'object_name': 'Build', 'db_table': "'builds'"},
            'arch': ('django.db.models.fields.CharField', [], {'max_length': '200'}),
            'created_at': ('django.db.models.fields.DateTimeField', [], {'auto_now_add': 'True', 'blank': 'True'}),
            'flavor': ('django.db.models.fields.CharField', [], {'max_length': '200'}),
            'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'name': ('django.db.models.fields.CharField', [], {'max_length': '200', 'null': 'True'}),
            'run': ('django.db.models.fields.related.ForeignKey', [], {'to': "orm['dashboard.Run']"}),
            'updated_at': ('django.db.models.fields.DateTimeField', [], {'auto_now': 'True', 'blank': 'True'}),
            'variant': ('django.db.models.fields.CharField', [], {'max_length': '200'})
        },
        'dashboard.result': {
            'Meta': {'object_name': 'Result', 'db_table': "'results'"},
            'bugs': ('django.db.models.fields.related.ManyToManyField', [], {'to': "orm['dashboard.Bug']", 'symmetrical': 'False'}),
            'build': ('django.db.models.fields.related.ForeignKey', [], {'to': "orm['dashboard.Build']"}),
            'created_at': ('django.db.models.fields.DateTimeField', [], {'auto_now_add': 'True', 'blank': 'True'}),
            'fail_count': ('django.db.models.fields.IntegerField', [], {}),
            'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'jenkins_build': ('django.db.models.fields.CharField', [], {'max_length': '255'}),
            'jenkins_url': ('django.db.models.fields.URLField', [], {'max_length': '200'}),
            'name': ('django.db.models.fields.CharField', [], {'max_length': '255'}),
            'pass_count': ('django.db.models.fields.IntegerField', [], {}),
            'ran_at': ('django.db.models.fields.DateTimeField', [], {}),
            'skip_count': ('django.db.models.fields.IntegerField', [], {}),
            'total_count': ('django.db.models.fields.IntegerField', [], {}),
            'updated_at': ('django.db.models.fields.DateTimeField', [], {'auto_now': 'True', 'blank': 'True'})
        },
        'dashboard.resultlog': {
            'Meta': {'object_name': 'ResultLog', 'db_table': "'result_logs'"},
            'created_at': ('django.db.models.fields.DateTimeField', [], {'auto_now_add': 'True', 'blank': 'True'}),
            'display_name': ('django.db.models.fields.CharField', [], {'max_length': '255', 'null': 'True'}),
            'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'path': ('django.db.models.fields.TextField', [], {}),
            'remote_url': ('django.db.models.fields.URLField', [], {'max_length': '200'}),
            'result': ('django.db.models.fields.related.ForeignKey', [], {'to': "orm['dashboard.Result']"}),
            'updated_at': ('django.db.models.fields.DateTimeField', [], {'auto_now': 'True', 'blank': 'True'})
        },
        'dashboard.run': {
            'Meta': {'object_name': 'Run', 'db_table': "'runs'"},
            'build_no': ('django.db.models.fields.CharField', [], {'max_length': '200', 'db_index': 'True'}),
            'created_at': ('django.db.models.fields.DateTimeField', [], {'auto_now_add': 'True', 'blank': 'True'}),
            'flavor': ('django.db.models.fields.CharField', [], {'max_length': '200', 'db_index': 'True'}),
            'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'ran_at': ('django.db.models.fields.DateTimeField', [], {}),
            'release': ('django.db.models.fields.CharField', [], {'max_length': '200', 'db_index': 'True'}),
            'test_type': ('django.db.models.fields.IntegerField', [], {'null': 'True'}),
            'updated_at': ('django.db.models.fields.DateTimeField', [], {'auto_now': 'True', 'blank': 'True'})
        }
    }

    complete_apps = ['dashboard']