# encoding: utf-8
import datetime
from south.db import db
from south.v2 import SchemaMigration
from django.db import models

class Migration(SchemaMigration):

    def forwards(self, orm):
        
        # Adding model 'ImageResult'
        db.create_table('images_results', (
            ('id', self.gf('django.db.models.fields.AutoField')(primary_key=True)),
            ('created_at', self.gf('django.db.models.fields.DateTimeField')(auto_now_add=True, blank=True)),
            ('updated_at', self.gf('django.db.models.fields.DateTimeField')(auto_now=True, blank=True)),
            ('internal', self.gf('django.db.models.fields.BooleanField')(default=True)),
            ('publish', self.gf('django.db.models.fields.BooleanField')(default=True)),
            ('image', self.gf('django.db.models.fields.related.ForeignKey')(to=orm['dashboard.Image'])),
            ('machine', self.gf('django.db.models.fields.related.ForeignKey')(to=orm['dashboard.Machine'])),
            ('ran_at', self.gf('django.db.models.fields.DateTimeField')()),
            ('kernel_init', self.gf('django.db.models.fields.FloatField')()),
            ('kernel', self.gf('django.db.models.fields.FloatField')()),
            ('plumbing', self.gf('django.db.models.fields.FloatField')()),
            ('xorg', self.gf('django.db.models.fields.FloatField')()),
            ('desktop', self.gf('django.db.models.fields.FloatField')()),
            ('boot', self.gf('django.db.models.fields.FloatField')()),
        ))
        db.send_create_signal('dashboard', ['ImageResult'])

        # Adding model 'Machine'
        db.create_table('machines', (
            ('id', self.gf('django.db.models.fields.AutoField')(primary_key=True)),
            ('created_at', self.gf('django.db.models.fields.DateTimeField')(auto_now_add=True, blank=True)),
            ('updated_at', self.gf('django.db.models.fields.DateTimeField')(auto_now=True, blank=True)),
            ('internal', self.gf('django.db.models.fields.BooleanField')(default=True)),
            ('publish', self.gf('django.db.models.fields.BooleanField')(default=True)),
            ('name', self.gf('django.db.models.fields.CharField')(max_length=200)),
            ('mac_address', self.gf('django.db.models.fields.CharField')(max_length=200)),
        ))
        db.send_create_signal('dashboard', ['Machine'])

        # Adding model 'Image'
        db.create_table('images', (
            ('id', self.gf('django.db.models.fields.AutoField')(primary_key=True)),
            ('created_at', self.gf('django.db.models.fields.DateTimeField')(auto_now_add=True, blank=True)),
            ('updated_at', self.gf('django.db.models.fields.DateTimeField')(auto_now=True, blank=True)),
            ('internal', self.gf('django.db.models.fields.BooleanField')(default=True)),
            ('publish', self.gf('django.db.models.fields.BooleanField')(default=True)),
            ('release', self.gf('django.db.models.fields.CharField')(max_length=200)),
            ('variant', self.gf('django.db.models.fields.CharField')(max_length=200)),
            ('arch', self.gf('django.db.models.fields.CharField')(max_length=200)),
            ('md5', self.gf('django.db.models.fields.CharField')(max_length=200)),
            ('build_number', self.gf('django.db.models.fields.CharField')(max_length=50)),
        ))
        db.send_create_signal('dashboard', ['Image'])


    def backwards(self, orm):
        
        # Deleting model 'ImageResult'
        db.delete_table('images_results')

        # Deleting model 'Machine'
        db.delete_table('machines')

        # Deleting model 'Image'
        db.delete_table('images')


    models = {
        'dashboard.bug': {
            'Meta': {'object_name': 'Bug', 'db_table': "'bugs'"},
            'bug_no': ('django.db.models.fields.CharField', [], {'max_length': '255'}),
            'created_at': ('django.db.models.fields.DateTimeField', [], {'auto_now_add': 'True', 'blank': 'True'}),
            'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'internal': ('django.db.models.fields.BooleanField', [], {'default': 'True'}),
            'publish': ('django.db.models.fields.BooleanField', [], {'default': 'True'}),
            'status': ('django.db.models.fields.CharField', [], {'max_length': '255'}),
            'updated_at': ('django.db.models.fields.DateTimeField', [], {'auto_now': 'True', 'blank': 'True'})
        },
        'dashboard.build': {
            'Meta': {'object_name': 'Build', 'db_table': "'builds'"},
            'arch': ('django.db.models.fields.CharField', [], {'max_length': '200'}),
            'created_at': ('django.db.models.fields.DateTimeField', [], {'auto_now_add': 'True', 'blank': 'True'}),
            'flavor': ('django.db.models.fields.CharField', [], {'max_length': '200'}),
            'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'internal': ('django.db.models.fields.BooleanField', [], {'default': 'True'}),
            'name': ('django.db.models.fields.CharField', [], {'max_length': '200', 'null': 'True'}),
            'publish': ('django.db.models.fields.BooleanField', [], {'default': 'True'}),
            'run': ('django.db.models.fields.related.ForeignKey', [], {'to': "orm['dashboard.Run']"}),
            'updated_at': ('django.db.models.fields.DateTimeField', [], {'auto_now': 'True', 'blank': 'True'}),
            'variant': ('django.db.models.fields.CharField', [], {'max_length': '200'})
        },
        'dashboard.image': {
            'Meta': {'object_name': 'Image', 'db_table': "'images'"},
            'arch': ('django.db.models.fields.CharField', [], {'max_length': '200'}),
            'build_number': ('django.db.models.fields.CharField', [], {'max_length': '50'}),
            'created_at': ('django.db.models.fields.DateTimeField', [], {'auto_now_add': 'True', 'blank': 'True'}),
            'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'internal': ('django.db.models.fields.BooleanField', [], {'default': 'True'}),
            'md5': ('django.db.models.fields.CharField', [], {'max_length': '200'}),
            'publish': ('django.db.models.fields.BooleanField', [], {'default': 'True'}),
            'release': ('django.db.models.fields.CharField', [], {'max_length': '200'}),
            'updated_at': ('django.db.models.fields.DateTimeField', [], {'auto_now': 'True', 'blank': 'True'}),
            'variant': ('django.db.models.fields.CharField', [], {'max_length': '200'})
        },
        'dashboard.imageresult': {
            'Meta': {'object_name': 'ImageResult', 'db_table': "'images_results'"},
            'boot': ('django.db.models.fields.FloatField', [], {}),
            'created_at': ('django.db.models.fields.DateTimeField', [], {'auto_now_add': 'True', 'blank': 'True'}),
            'desktop': ('django.db.models.fields.FloatField', [], {}),
            'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'image': ('django.db.models.fields.related.ForeignKey', [], {'to': "orm['dashboard.Image']"}),
            'internal': ('django.db.models.fields.BooleanField', [], {'default': 'True'}),
            'kernel': ('django.db.models.fields.FloatField', [], {}),
            'kernel_init': ('django.db.models.fields.FloatField', [], {}),
            'machine': ('django.db.models.fields.related.ForeignKey', [], {'to': "orm['dashboard.Machine']"}),
            'plumbing': ('django.db.models.fields.FloatField', [], {}),
            'publish': ('django.db.models.fields.BooleanField', [], {'default': 'True'}),
            'ran_at': ('django.db.models.fields.DateTimeField', [], {}),
            'updated_at': ('django.db.models.fields.DateTimeField', [], {'auto_now': 'True', 'blank': 'True'}),
            'xorg': ('django.db.models.fields.FloatField', [], {})
        },
        'dashboard.kernel': {
            'Meta': {'object_name': 'Kernel', 'db_table': "'kernels'"},
            'arch': ('django.db.models.fields.CharField', [], {'max_length': '100'}),
            'created_at': ('django.db.models.fields.DateTimeField', [], {'auto_now_add': 'True', 'blank': 'True'}),
            'gpu': ('django.db.models.fields.CharField', [], {'max_length': '100'}),
            'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'internal': ('django.db.models.fields.BooleanField', [], {'default': 'True'}),
            'job_type': ('django.db.models.fields.CharField', [], {'max_length': '100'}),
            'publish': ('django.db.models.fields.BooleanField', [], {'default': 'True'}),
            'release': ('django.db.models.fields.CharField', [], {'max_length': '100'}),
            'updated_at': ('django.db.models.fields.DateTimeField', [], {'auto_now': 'True', 'blank': 'True'}),
            'variant': ('django.db.models.fields.CharField', [], {'max_length': '100'}),
            'version': ('django.db.models.fields.CharField', [], {'max_length': '100'})
        },
        'dashboard.machine': {
            'Meta': {'object_name': 'Machine', 'db_table': "'machines'"},
            'created_at': ('django.db.models.fields.DateTimeField', [], {'auto_now_add': 'True', 'blank': 'True'}),
            'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'internal': ('django.db.models.fields.BooleanField', [], {'default': 'True'}),
            'mac_address': ('django.db.models.fields.CharField', [], {'max_length': '200'}),
            'name': ('django.db.models.fields.CharField', [], {'max_length': '200'}),
            'publish': ('django.db.models.fields.BooleanField', [], {'default': 'True'}),
            'updated_at': ('django.db.models.fields.DateTimeField', [], {'auto_now': 'True', 'blank': 'True'})
        },
        'dashboard.result': {
            'Meta': {'object_name': 'Result', 'db_table': "'results'"},
            'bugs': ('django.db.models.fields.related.ManyToManyField', [], {'to': "orm['dashboard.Bug']", 'symmetrical': 'False'}),
            'build': ('django.db.models.fields.related.ForeignKey', [], {'to': "orm['dashboard.Build']"}),
            'created_at': ('django.db.models.fields.DateTimeField', [], {'auto_now_add': 'True', 'blank': 'True'}),
            'fail_count': ('django.db.models.fields.IntegerField', [], {}),
            'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'internal': ('django.db.models.fields.BooleanField', [], {'default': 'True'}),
            'jenkins_build': ('django.db.models.fields.CharField', [], {'max_length': '255'}),
            'jenkins_url': ('django.db.models.fields.URLField', [], {'max_length': '200'}),
            'name': ('django.db.models.fields.CharField', [], {'max_length': '255'}),
            'pass_count': ('django.db.models.fields.IntegerField', [], {}),
            'publish': ('django.db.models.fields.BooleanField', [], {'default': 'True'}),
            'ran_at': ('django.db.models.fields.DateTimeField', [], {}),
            'skip_count': ('django.db.models.fields.IntegerField', [], {}),
            'total_count': ('django.db.models.fields.IntegerField', [], {}),
            'updated_at': ('django.db.models.fields.DateTimeField', [], {'auto_now': 'True', 'blank': 'True'})
        },
        'dashboard.resultlog': {
            'Meta': {'object_name': 'ResultLog', 'db_table': "'result_logs'"},
            'created_at': ('django.db.models.fields.DateTimeField', [], {'auto_now_add': 'True', 'blank': 'True'}),
            'display_name': ('django.db.models.fields.CharField', [], {'max_length': '255', 'null': 'True'}),
            'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'internal': ('django.db.models.fields.BooleanField', [], {'default': 'True'}),
            'path': ('django.db.models.fields.TextField', [], {}),
            'publish': ('django.db.models.fields.BooleanField', [], {'default': 'True'}),
            'remote_url': ('django.db.models.fields.URLField', [], {'max_length': '200'}),
            'result': ('django.db.models.fields.related.ForeignKey', [], {'to': "orm['dashboard.Result']"}),
            'updated_at': ('django.db.models.fields.DateTimeField', [], {'auto_now': 'True', 'blank': 'True'})
        },
        'dashboard.run': {
            'Meta': {'object_name': 'Run', 'db_table': "'runs'"},
            'build_no': ('django.db.models.fields.CharField', [], {'max_length': '200', 'db_index': 'True'}),
            'created_at': ('django.db.models.fields.DateTimeField', [], {'auto_now_add': 'True', 'blank': 'True'}),
            'flavor': ('django.db.models.fields.CharField', [], {'max_length': '200', 'db_index': 'True'}),
            'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'internal': ('django.db.models.fields.BooleanField', [], {'default': 'True'}),
            'publish': ('django.db.models.fields.BooleanField', [], {'default': 'True'}),
            'ran_at': ('django.db.models.fields.DateTimeField', [], {}),
            'release': ('django.db.models.fields.CharField', [], {'max_length': '200', 'db_index': 'True'}),
            'test_type': ('django.db.models.fields.IntegerField', [], {'null': 'True'}),
            'updated_at': ('django.db.models.fields.DateTimeField', [], {'auto_now': 'True', 'blank': 'True'})
        },
        'dashboard.sruresult': {
            'Meta': {'object_name': 'SRUResult', 'db_table': "'sru_results'"},
            'bugs': ('django.db.models.fields.related.ManyToManyField', [], {'to': "orm['dashboard.Bug']", 'symmetrical': 'False'}),
            'created_at': ('django.db.models.fields.DateTimeField', [], {'auto_now_add': 'True', 'blank': 'True'}),
            'fail_count': ('django.db.models.fields.IntegerField', [], {}),
            'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'internal': ('django.db.models.fields.BooleanField', [], {'default': 'True'}),
            'jenkins_build': ('django.db.models.fields.CharField', [], {'max_length': '255'}),
            'jenkins_url': ('django.db.models.fields.URLField', [], {'max_length': '200'}),
            'kernel': ('django.db.models.fields.related.ForeignKey', [], {'to': "orm['dashboard.Kernel']"}),
            'name': ('django.db.models.fields.CharField', [], {'max_length': '255'}),
            'pass_count': ('django.db.models.fields.IntegerField', [], {}),
            'publish': ('django.db.models.fields.BooleanField', [], {'default': 'True'}),
            'ran_at': ('django.db.models.fields.DateTimeField', [], {}),
            'skip_count': ('django.db.models.fields.IntegerField', [], {}),
            'total_count': ('django.db.models.fields.IntegerField', [], {}),
            'updated_at': ('django.db.models.fields.DateTimeField', [], {'auto_now': 'True', 'blank': 'True'})
        },
        'dashboard.sruresultlog': {
            'Meta': {'object_name': 'SRUResultLog', 'db_table': "'sru_result_logs'"},
            'created_at': ('django.db.models.fields.DateTimeField', [], {'auto_now_add': 'True', 'blank': 'True'}),
            'display_name': ('django.db.models.fields.CharField', [], {'max_length': '255', 'null': 'True'}),
            'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'internal': ('django.db.models.fields.BooleanField', [], {'default': 'True'}),
            'path': ('django.db.models.fields.TextField', [], {}),
            'publish': ('django.db.models.fields.BooleanField', [], {'default': 'True'}),
            'remote_url': ('django.db.models.fields.URLField', [], {'max_length': '200'}),
            'sru_result': ('django.db.models.fields.related.ForeignKey', [], {'to': "orm['dashboard.SRUResult']"}),
            'updated_at': ('django.db.models.fields.DateTimeField', [], {'auto_now': 'True', 'blank': 'True'})
        }
    }

    complete_apps = ['dashboard']
