#!/bin/bash

HOME=/home/ubuntu
PROJECT=qa-dashboard-dev
LOCK_FILE=/var/lock/$PROJECT.lock

if [ -f $LOCK_FILE ]; then
    echo "$0 already appears to be running..."
    echo "if not, remove $LOCK_FILE"
    exit 1
fi

touch $LOCK_FILE

# Set up the virtualenv
VIRTUALENV=$HOME/.virtualenvs/$PROJECT
cd $VIRTUALENV
source bin/activate

# run the update script
HOME_DIR=$HOME/django/$PROJECT
cd $HOME_DIR

python manage.py jenkins_pull >/var/log/$PROJECT-update.log

unlink $LOCK_FILE

