from django.conf.urls.defaults import patterns, include, url

# Uncomment the next two lines to enable the admin:
# from django.contrib import admin
# admin.autodiscover()

urlpatterns = patterns('dashboard.views',
    # Examples:
    # url(r'^$', 'dj.views.home', name='home'),
    # url(r'^dj/', include('dj.foo.urls')),

    # Uncomment the admin/doc line below to enable admin documentation:
    # url(r'^admin/doc/', include('django.contrib.admindocs.urls')),

    # Uncomment the next line to enable the admin:
    # url(r'^admin/', include(admin.site.urls)),

    url(r'^$', 'index', name='index'),

    #
    # Smoke
    #
    url(r'^smoke/(?P<release>\w+)/$', 'smoke.overview'),
    url(r'^smoke/(?P<release>\w+)/flat/$', 'smoke.overview', dict(is_flat=True)),
    url(r'^smoke/(?P<release>\w+)/run/(?P<run_id>\d+)/$', 'smoke.build_overview'),
    url(r'^smoke/(?P<release>\w+)/run/(?P<run_id>\d+)/pie/$', 'smoke.build_pie'),
    url(r'^smoke/(?P<release>\w+)/run/(?P<run_id>\d+)/image/(?P<image_id>\d+)/$', 'smoke.results'),
    url(r'^smoke/(?P<release>\w+)/run/(?P<run_id>\d+)/image/(?P<image_id>\d+)/pie/$', 'smoke.results_pie'),
    url(r'^smoke/(?P<release>\w+)/run/(?P<run_id>\d+)/image/(?P<image_id>\d+)/logs/(?P<result_id>\d+)/$', 'smoke.results_logs'),

    #
    # Smoke API
    #
    url(r'^api/stats/$', 'api.smoke.api_stats'),
    url(r'^api/stats/(?P<release>\w+)/$', 'api.smoke.api_stats'),
    url(r'^api/smoke/add_result/', 'api.smoke.api_add_result'),
    url(r'^api/smoke/(?P<release>\w+)/run/$', 'api.smoke.api_runs'),
    url(r'^api/smoke/run/$', 'api.smoke.api_runs'),
    url(r'^api/smoke/run/(?P<run_id>\d+)/$', 'api.smoke.api_run'),
    url(r'^api/smoke/run/(?P<run_id>\d+)/image/$', 'api.smoke.api_images'),
    url(r'^api/smoke/run/(?P<run_id>\d+)/image/(?P<image_id>\d+)/$', 'api.smoke.api_image'),
    url(r'^api/smoke/run/(?P<run_id>\d+)/image/(?P<image_id>\d+)/result/$', 'api.smoke.api_results'),
    url(r'^api/smoke/run/(?P<run_id>\d+)/image/(?P<image_id>\d+)/result/(?P<result_id>\d+)/$', 'api.smoke.api_result'),

    url(r'^api/smoke/run/(?P<run_id>\d+)/image/(?P<image_id>\d+)/result/(?P<result_id>\d+)/add_bug/$', 'api.smoke.api_result_add_bug'),

    #
    # SRU
    #
    url(r'^sru/$', 'sru.overview'),
    url(r'^sru/(?P<release>\w+)/$', 'sru.overview'),
    url(r'^sru/(?P<release>\w+)/version/(?P<kernel_version>[^/]+)/$', 'sru.overview_kernel'),

    url(r'^api/sru/$', 'sru.api_overview'),
    url(r'^api/sru/(?P<release>\w+)/$', 'sru.api_overview'),
    url(r'^api/sru/(?P<release>\w+)/(?P<version>[^/]+)/$', 'sru.api_overview'),

    #
    # API Generic
    #
    url(r'^api/add_result/$', 'api.api_add_result'),
    url(r'^api/help/$', 'api.api_help'),

    #
    # Bootspeed
    #
    url(r'^bootspeed/$', 'bootspeed.overview'),
    url(r'^bootspeed/arch/(?P<arch>\w+)/$', 'bootspeed.arch_overview'),
    # XXX: this one needs to be removed
    url(r'^bootspeed/(?P<release>\w+)/$', 'bootspeed.overview'),
    url(r'^bootspeed/image/(?P<image_id>\d+)/$', 'bootspeed.image_overview'),
    url(r'^bootspeed/image/(?P<image_id>\d+)/chart/$', 'bootspeed.build_boot_chart'),

    url(r'^api/bootspeed/add_result/$', 'api.bootspeed.add_result'),
    url(r'^api/bootspeed/arch/$', 'api.bootspeed.arch_list'),
    url(r'^api/bootspeed/arch/(?P<arch>\w+)/$', 'api.bootspeed.overall'),
    url(r'^api/bootspeed/image/$', 'api.bootspeed.image_list'),
    url(r'^api/bootspeed/image/(?P<image_id>\d+)/$', 'api.bootspeed.image_detail'),
    url(r'^api/bootspeed/image/(?P<image_id>\d+)/result/$', 'api.bootspeed.image_result_list'),
    url(r'^api/bootspeed/image/result_count/$', 'api.bootspeed.result_count'),

    url(r'^api/bootspeed/machine/$', 'api.bootspeed.machine_list'),
    url(r'^api/bootspeed/machine/(?P<machine_id>\d+)/$', 'api.bootspeed.machine_detail'),
)

from django.contrib.staticfiles.urls import staticfiles_urlpatterns
urlpatterns += staticfiles_urlpatterns()
