import os
import sys

# Set up the environment
sys.path.append(os.path.join(os.path.dirname(__file__), '..'))
os.environ['DJANGO_SETTINGS_MODULE'] = 'qa_dashboard.settings'

import datetime
import random
from django.db import models

from dashboard.models import (
        Image,
        ImageResult,
        Machine,
        Result
        )

def list_static_validation_tests():
    qs = Result.objects.filter(name="validation")

    print("Validation Results: {}".format(qs.count()))
    for result in qs[:50]:
        print("Result name: {}".format(result.name))
        print("  Build: {}".format(result.build.debug_str))
        print("     Build.results: {}".format(result.build.result_set.count()))
        print("  ResultLogs: {}".format(result.resultlog_set.count()))
        print("  Bugs: {}".format(result.bugs.count()))

def delete_static_validation_items():
    qs = Result.objects.filter(name="validation")

    for result in qs:
        for log in result.resultlog_set.all():
            log.delete()
        for bug in result.bugs.all():
            bug.delete()
        build = result.build
        
        result.delete()
        build.delete()

if __name__ == "__main__":
    list_static_validation_tests()
    delete_static_validation_items()
    list_static_validation_tests()
